# Security update for openssl-1_1-livepatches

Announcement ID: SUSE-SU-2023:4919-1  
Rating: important  
References:

  * bsc#1208755
  * bsc#1217151

  
Cross-References:

  * CVE-2023-5678

  
CVSS scores:

  * CVE-2023-5678 ( SUSE ):  7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-5678 ( NVD ):  5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

  
Affected Products:

  * openSUSE Leap 15.4
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise Live Patching 15-SP4
  * SUSE Linux Enterprise Micro 5.3
  * SUSE Linux Enterprise Micro 5.4
  * SUSE Linux Enterprise Real Time 15 SP4
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4

  
  
An update that solves one vulnerability and has one security fix can now be
installed.

## Description:

This update for openssl-1_1-livepatches fixes the following issues:

Security issue fixed:

  * CVE-2023-5678: Generating excessively long X9.42 DH keys or checking
    excessively long X9.42 DH keys or parameters may be very slow (bsc#1217151).

Other fixes:

  * Report livepatch number on OpenSSL_version (jsc#7092).
  * Ensure that livepatches are only installed when fixed version of library is
    available (bsc#1208755).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.4  
    zypper in -t patch SUSE-2023-4919=1

  * SUSE Linux Enterprise Live Patching 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP4-2023-4919=1

## Package List:

  * openSUSE Leap 15.4 (x86_64)
    * openssl-1_1-livepatches-debugsource-0.2-150400.3.6.1
    * openssl-1_1-livepatches-0.2-150400.3.6.1
    * openssl-1_1-livepatches-debuginfo-0.2-150400.3.6.1
  * SUSE Linux Enterprise Live Patching 15-SP4 (x86_64)
    * openssl-1_1-livepatches-0.2-150400.3.6.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-5678.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1208755
  * https://bugzilla.suse.com/show_bug.cgi?id=1217151

SUSE: 2023:4919-1 important: openssl-1_1-livepatches

December 20, 2023
* bsc#1208755 * bsc#1217151 Cross-References: * CVE-2023-5678

Summary

## This update for openssl-1_1-livepatches fixes the following issues: Security issue fixed: * CVE-2023-5678: Generating excessively long X9.42 DH keys or checking excessively long X9.42 DH keys or parameters may be very slow (bsc#1217151). Other fixes: * Report livepatch number on OpenSSL_version (jsc#7092). * Ensure that livepatches are only installed when fixed version of library is available (bsc#1208755). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.4 zypper in -t patch SUSE-2023-4919=1 * SUSE Linux Enterprise Live Patching 15-SP4 zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP4-2023-4919=1 ## Package List: * openSUSE Leap 15.4 (x86_64) * openssl-1_1-livepatches-debugsource-0.2-150400.3.6.1 * openssl-1_1-livepatches-0.2-150400.3.6.1 * openssl-1_1-livepatches-debuginfo-0.2-150400.3.6.1 * SUSE Linux Enterprise Live Patching 15-SP4 (x86_64) * openssl-1_1-livepatches-0.2-150400.3.6.1

References

* bsc#1208755

* bsc#1217151

Cross-

* CVE-2023-5678

CVSS scores:

* CVE-2023-5678 ( SUSE ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-5678 ( NVD ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

Affected Products:

* openSUSE Leap 15.4

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise Live Patching 15-SP4

* SUSE Linux Enterprise Micro 5.3

* SUSE Linux Enterprise Micro 5.4

* SUSE Linux Enterprise Real Time 15 SP4

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

An update that solves one vulnerability and has one security fix can now be

installed.

##

* https://www.suse.com/security/cve/CVE-2023-5678.html

* https://bugzilla.suse.com/show_bug.cgi?id=1208755

* https://bugzilla.suse.com/show_bug.cgi?id=1217151

Severity
Announcement ID: SUSE-SU-2023:4919-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo